Index: src/trackerd/trackerd.c
===================================================================
--- src/trackerd/trackerd.c	(revision 745)
+++ src/trackerd/trackerd.c	(working copy)
@@ -766,6 +766,28 @@
 	}
 }
 
+static gboolean
+send_created(char *uri)
+{
+  DBusMessage *message;
+
+  printf("%s\n", uri);
+
+  message = dbus_message_new_signal("/org/freedesktop/tracker",
+				    "org.freedesktop.Tracker.Files", "Indexed");
+
+  dbus_message_append_args(message,
+			   DBUS_TYPE_STRING, &uri,
+			   DBUS_TYPE_INVALID);
+
+  dbus_connection_send(main_connection, message, NULL);
+  dbus_message_unref(message);
+
+  g_free(uri);
+
+  return FALSE;
+}
+
 static void
 index_entity (DBConnection *db_con, FileInfo *info)
 {
@@ -830,8 +852,13 @@
 
 
 	} else if (strcmp (service_info, "Files") == 0) {
+
+	        char *uri = g_strdup(info->uri);
+
 		tracker_db_index_file (db_con, info, NULL, NULL);
 
+		g_timeout_add(10, (GSourceFunc)send_created, uri);
+
 	} else if (g_str_has_suffix (service_info, "Conversations")) {
 		tracker_db_index_conversation (db_con, info);
 
